Summary: kde control panel
Name: ctrlpanel
Version: 2.0
Release: 23AX
Source0: ctrlpanel-%{version}.tar.gz
Source1: khwtree-1.0.tar.gz
Source2: ps4_ctrlpanel_xpm.tgz
Source3: fix.tgz
#Patch:   ctrlpanel-1.0-gcc3-redflag.patch
Patch1:  ctrlpanel-2.0-text-plain.patch
Group: Applications/Setting
License: GPL
BuildRoot: /var/tmp/ctrlpanel-%{version}.root

%description
kde control panel

%prep
%setup -q
%patch1 -p1 -b .plain

%build
unset QTDIR && . /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib

export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"

./configure --prefix=/usr --libdir=%{_libdir}
make

%install
make prefix="$RPM_BUILD_ROOT"/usr libdir="$RPM_BUILD_ROOT"/%{_libdir} install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
cd $RPM_BUILD_ROOT/etc/sysconfig/
tar xzvf %{SOURCE1}
tar xfz %{SOURCE2} -C $RPM_BUILD_ROOT/usr/share
tar zxvf %{SOURCE3} -C $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupLook/panel.desktop
rm -rf $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/ksysguard.desktop
%files
%defattr(-,root,root)
/usr/bin/ctrlpanel
/%{_libdir}/*
%ifarch ppc ia64
%exclude /etc/sysconfig/khwtree/GroupSys/kgrub.desktop
%endif
/etc/sysconfig/*
/usr/share/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 26 2006 Shiro Yamada <shiro@miraclelinux.com> 2.0-23AX
- fix it to display plain html on overview panel so that it'll work
  for non utf-8 Japanese environment

* Fri May 12 2006 Hua Jie <jiehua@redflag-linux.com> 2.0-22AX
- change License to GPL
* Wed Sep 21 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-21
- remove kgrub.desktop in ia64 platform
* Thu Jun 23 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-20
- add Traditional Chinese documents
* Tue May 24 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-19
- add Japanese documents
- remove kgrub.desktop in ppc
* Tue May 10 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-18
- add Korean documents
* Fri Apr 15 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-17
- remove ctrlpanel.desktop from /usr/share/applnk/Settings/
* Tue Apr 12 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-16
- add some Korean messages
* Mon Apr 11 2005 Bear <xzyang@redflag-linux.com> 2.0-15
- remove the desktop file sound.desktop and kmix.desktop
* Wed Apr 06 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-14
- modified to support x86_64
* Sat Apr 24 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-8
- change some Japanese docs
* Mon Apr 19 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-7
- fix some error in some desktop files
* Thu Mar 25 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-6
- remove kthememgr from control panel.
* Tue Mar 23 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-5
- fix the error of some Japanese declaration files.
* Thu Mar 11 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-4
- fix the error of some Japanese declaration files.
* Mon Mar 08 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-3
- add some Japanese declaration files.
* Fri Feb 20 2004 xj <jianxing@redflag-linux.com> 2.0-2
- add some Japanese config files.
* Wed Feb 11 2004 xj <jianxing@redflag-linux.com> 2.0-1
- multi language support.
- add some English config files.
* Mon May 19 2003 xj <jianxing@redflag-linux.com> 1.5-1
- start need less time.
* Thu Feb 20 2003 xj <jianxing@redflag-linux.com> 1.3-1
- change khwrc to khwtree
* Mon Dec 23 2002 xj <jianxing@redflag-linux.com> 1.2-14
- disable drop&drag
* Tue Nov 26 2002 xj <jianxing@redflag-linux.com> 1.2-13
- fix khwrc
* Fri Nov 15 2002 xj <jianxing@redflag-linux.com> 1.2-12
- Add many items ,
* Tue Nov 12 2002 xj <jianxing@redflag-linux.com> 1.2-10
- Add many items ,kdesysguard,kdf,keyboard,kdm,kmenuedit,kfloppy
* Thu Nov 7 2002 xj <jianxing@redflag-linux.com> 1.2-9
- Program can remove item when it is uninstalling.
- ctrlpanel -g GroupName -u itemname
* Wed Nov 6 2002 xj <jianxing@redflag-linux.com> 1.2-8
- change config file 
